Skip to main content
POST
/
api2
/
v1
/
lqa
/
assessments
/
reports
/
emails
Send email(s) with LQA reports
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/lqa/assessments/reports/emails \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobParts": [
    {
      "uid": "3HYnHHLkTPJfMxBCDbPXFe"
    }
  ],
  "recipientUsers": [
    {
      "uid": "3HYnHHLkTPJfMxBCDbPXFe"
    }
  ],
  "bccAddress": "<string>",
  "ccAddress": "<string>",
  "message": "<string>",
  "subject": "<string>"
}
'
import requests

url = "https://cloud.memsource.com/web/api2/v1/lqa/assessments/reports/emails"

payload = {
"jobParts": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"recipientUsers": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }],
"bccAddress": "<string>",
"ccAddress": "<string>",
"message": "<string>",
"subject": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jobParts: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
recipientUsers: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}],
bccAddress: '<string>',
ccAddress: '<string>',
message: '<string>',
subject: '<string>'
})
};

fetch('https://cloud.memsource.com/web/api2/v1/lqa/assessments/reports/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Body

application/json

Email request specifying job parts, recipients, and optional email content.

Request body for sending LQA (Language Quality Assessment) report emails.

jobParts
object[]
required

Job parts for which the LQA reports should be sent. Between 1 and 100 entries.

Maximum array length: 100
recipientUsers
object[]
required

Users who will receive the LQA report email. Between 1 and 100 entries.

Maximum array length: 100
bccAddress
string

BCC email address for the report email. Must be a valid email address.

ccAddress
string

CC email address for the report email. Must be a valid email address.

message
string

Body text for the outgoing email. When organizationEmailTemplate is supplied, this value replaces the template body; otherwise it is inserted into the default email template.

organizationEmailTemplate
object

Reference to an object by its unique identifier

subject
string

Subject line of the report email. Must be at least 1 character when supplied. Null uses the default subject from the email template.

Required string length: 1 - 2147483647

Response

Created